Vista Combinata Vista Piatta Vista ad Albero
Discussioni [ Precedente | Successivo ]
toggle
Brian Ko
upgrade 6.0.11 EE to 6.0.12 EE
16 agosto 2011 13.34
Risposta

Brian Ko

Punteggio: Junior Member

Messaggi: 70

Data di Iscrizione: 11 febbraio 2010

Messaggi recenti

Hi everyone,

I am having some issue during I am upgrading 6.0.11 EE to 6.0.12 EE. When I first start the 6.0.12 with my current database, which is created for 6.0.11, I expected that the database update script run. That's what I saw when I upgrade it to 6.0.11 EE. However, jboss fails with following error. It looks like the DB update script was never run.

18:55:59,074 INFO [[/]] Initializing Spring root WebApplicationContext
Starting Liferay Portal Enterprise Edition 6.0 EE SP2 (Bunyan / Build 6012 / Jul
y 27, 2011)
Stopping the server due to unexpected startup errors
18:56:49,964 INFO Runtime shutdown hook called, forceHalt: true
18:56:49,964 WARN [ProfileServiceBootstrap] Error deactivating profile: Profile
Key@387202
org.jboss.profileservice.spi.NoSuchProfileException: No active profile for: Prof
ileKey@387202
at org.jboss.system.server.profileservice.repository.AbstractProfileServ
ice.deactivateProfile(AbstractProfileService.java:391)
at org.jboss.system.server.profileservice.ProfileServiceBootstrap.shutdo
wn(ProfileServiceBootstrap.java:327)
at org.jboss.bootstrap.AbstractServerImpl.shutdownServer(AbstractServerI
mpl.java:571)
at org.jboss.bootstrap.AbstractServerImpl$ShutdownHook.run(AbstractServe
rImpl.java:909)
18:56:50,276 INFO undeploy, ctxPath=/invoker
18:56:50,495 INFO Stopping service jboss.web

To figure out what is causing this problem, I started 6.0.11 with brand new database and create tables. When I used that database in 6.0.12, it worked fine. That means the upgrade fails because of something in my database.

FYI, I am using 6.0.12 EE with Jboss 5.1.0 and mysql 5.0. I appreciate your help in advance.

Brian Ko
David H Nebinger
RE: upgrade 6.0.11 EE to 6.0.12 EE
16 agosto 2011 14.00
Risposta

David H Nebinger

Punteggio: Liferay Legend

Messaggi: 7080

Data di Iscrizione: 1 settembre 2006

Messaggi recenti

The release_ table has the version number in one of the columns. It is this version number that is used to determine if the update script needs to run. Can you check the value of this table in the broken database & compare it to the one in the 6.0.11 database?

It could be as simple as restoring the 6011 version in the release_ table of the broken DB and restarting 6.0.12; when it sees the different version, it should try to re-execute the update scripts.
Brian Ko
RE: upgrade 6.0.11 EE to 6.0.12 EE
16 agosto 2011 15.33
Risposta

Brian Ko

Punteggio: Junior Member

Messaggi: 70

Data di Iscrizione: 11 febbraio 2010

Messaggi recenti

David,

Thank you for quick reply. I created a new database with 6.0.11 EE and compare them. But I did not see any issue.

Good one
| 1 | 2011-08-16 14:31:00 | 2011-08-16 21:33:02 | portal
| 6011 | 2011-01-13 00:00:00 | 1 | You take the blue pill, the
story ends, you wake up in your bed and believe whatever you want to believe. Yo
u take the red pill, you stay in Wonderland, and I show you how deep the rabbit
hole goes. |
| 10267 | 2011-08-16 21:34:27 | 2011-08-16 21:34:28 | default-web-content-ho
ok | 100 | NULL | 1 |

Bad one
| 1 | 2011-05-03 10:30:30 | 2011-08-16 18:16:32 | portal
| 6011 | 2011-01-13 00:00:00 | 1 | You take the blue pill, the
story ends, you wake up in your bed and believe whatever you want to believe. Yo
u take the red pill, you stay in Wonderland, and I show you how deep the rabbit
hole goes. |
| 10267 | 2011-05-03 17:33:52 | 2011-08-16 18:18:55 | default-web-content-ho
ok | 100 | NULL | 1 |

Do you have any other suggestion? Thank you.
stephan t
RE: upgrade 6.0.11 EE to 6.0.12 EE
19 agosto 2011 13.41
Risposta

stephan t

Punteggio: Junior Member

Messaggi: 48

Data di Iscrizione: 19 ottobre 2010

Messaggi recenti

Hi there,
I think it is not directly related to your problem and unfortunately I can't help you there, but I just posted a post with some problems and fixes I ran into during the upgrade process.
You'll find it here: http://www.liferay.com/community/forums/-/message_boards/message/10523100


Good luck
Stephan
Brian Ko
RE: upgrade 6.0.11 EE to 6.0.12 EE
23 agosto 2011 14.24
Risposta

Brian Ko

Punteggio: Junior Member

Messaggi: 70

Data di Iscrizione: 11 febbraio 2010

Messaggi recenti

Hi Stephan,

Thank you for your post. It is a little bit different from mine. I think my error may not be even related to Liferay SP2. It can be a Jboss 5.1 issue. However, the solution described here https://issues.jboss.org/browse/JBAS-6981 does not work. Another issue is I do not understand why it is happening with the database I have right now. If I start with brand new database, I do not see the problem at all. It does not happen with other database created same way.

Brian
Simon Zhang
RE: upgrade 6.0.11 EE to 6.0.12 EE
25 aprile 2012 22.27
Risposta

Simon Zhang

LIFERAY STAFF

Punteggio: New Member

Messaggi: 1

Data di Iscrizione: 2 novembre 2009

Messaggi recenti

Hi Brian,
Has this issue been solved? I have the same problem now.
Brian Ko
RE: upgrade 6.0.11 EE to 6.0.12 EE
26 aprile 2012 8.05
Risposta

Brian Ko

Punteggio: Junior Member

Messaggi: 70

Data di Iscrizione: 11 febbraio 2010

Messaggi recenti

Simon,

Yes, it is described in http://www.liferay.com/community/forums/-/message_boards/message/13357200

Brian